INTERFACE
SUBROUTINE HL_APLPAR ( KIDIA , KFDIA , KLON ,&
 & KTDIA , KLEV ,&
 & KVCLIS , KVCLIV ,&
 & KSTEP ,&
 & KSGST , KCSS ,&
 & KBL , KGPCOMP,&
 & PVERVEL ,&
 & PAPHI , PAPRS , PAPHIF , PAPRSF , PALPH , PARG , PD2 ,&
 & PDELP , PIVEG , PLAI , PLNPR , PRDELP , PRSMIN , PSAB ,&
 & PGZ0HF , PRCORI ,&
 & PU , PV , PT , PQ , PQI , PQL ,&
 & PS , PRR , PTKE , PCVV ,&
 & PA , PQVA ,&
 & PO3 ,&
 & PCP , PCVGQ , PCVGQL , PCVGQI , PCVGT , PR ,PKOZO ,&
 & PFPLCH , PFPLSH ,&
 & PTENDU , PTENDV , PTENDT , PTENDTKE, PTENDQ , PTENDQL, PTENDQI,&
 & PTENDH ,&
 & PENTCH , PUNEBH ,&
 & PTCCH , PSCCH , PBCCH , PFHPS ,&
 & PPBLH ,&
 & PGPAR ,&
 & PSNS , PALBNS , PRHONS ,&
 & PTP , PTS , PWL , PWP , PWPI , PWS , PWSI ,&
 & PHV ,&
 & PALV , PALBF , PALBSF , PEMISF , PGETRL ,&
 & PLSM , PVEG0 ,&
 & PGZ0F , PGZ0RLF, PVRLAN ,&
 & PVRLDI , PVO3ABC, PMU0 , PGELAM ,&
 & PGEMU ,&
 & POROG ,&
 & PDIFCQ , PDIFCQI, PDIFCQL, PDIFCS , PDIFTQ , PDIFTQI, PDIFTQL,&
 & PDIFTS , PFCCQL , PFCCQN , PFCSQL , PFCSQN ,&
 & PFPLCL , PFPLCN , PFPLSL , PFPLSN , PFRSO ,&
 & PFRTH , PSTRCU , PSTRCV , PSTRDU , PSTRDV , PSTRTU ,&
 & PSTRTV , PSTRMU , PSTRMV , PFRMH , PFRMQ ,&
 & PFCHOZ , PCPS , PLHS ,&
 & PRS , PLH , PLSCPE , PNEB , PQICE , PQLI , PQSAT ,&
 & PQW , PRH , PTW , PALB , PCD , PCDN , PCH ,&
 & PC1 , PC2 , PCT , PEMIS , PFCHSP , PFCLL , PFCLN ,&
 & PFCS , PFEVI , PFEVL , PFEVN , PFEVV , PFTR , PFLWSP ,&
 & PFONTE , PALBH ,&
 & PFGEL , PFGELS , PFRSODS, PFRSOPT, PFRTHDS,&
 & PFTKE , PGZ0 , PGZ0H , PNEIJ , PVEG , PQS ,&
 & PQSATS , PRUISL , PRUISP , PRUISS , PUCLS , PVCLS , PTCLS ,&
 & PQCLS , PRHCLS , PCLCT , PCLCH , PCLCM , PCLCL ,&
 & KCLPH , PCLPH , PUGST , PVGST ,&
 & PTENDPTKE,&
 & PDERNSHF,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMARAR ,ONLY : NGPAR ,MRAIN ,MSNOW ,MGZ0 ,&
 & MGZ0H ,MVEMIS ,MVQS ,MVTS ,&
 & MALBDIR ,MALBSCA ,XSW_BANDS,NSWB_MNH 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KBL
INTEGER(KIND=JPIM),INTENT(IN) :: KGPCOMP
INTEGER(KIND=JPIM),INTENT(IN) :: KVCLIS
INTEGER(KIND=JPIM),INTENT(IN) :: KSGST
INTEGER(KIND=JPIM),INTENT(IN) :: KCSS
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KVCLIV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVGQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVGQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVGT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENDQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PARG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PD2(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PIVEG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLAI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRSMIN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSAB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0HF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQVA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCVGQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKOZO(KLON,KLEV,KVCLIS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSCCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PBCCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPBLH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFHPS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSNS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGPAR(KLON,NGPAR+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBNS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PRHONS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWPI(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSI(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PALBF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALBSF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMISF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGETRL(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEG0(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0F(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0RLF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLAN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVRLDI(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVO3ABC(KLON,3)
REAL(KIND=JPRB) ,INTENT(IN) :: PMU0(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFCS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCCQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCSQN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLSN(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRSO(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTH(KLON,0:KLEV,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRCV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRDV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRMH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRMQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHOZ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTKE(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCPS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLHS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLSCPE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEB(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQICE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSAT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTW(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PENTCH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUNEBH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALB(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCD(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCDN(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PC1(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PC2(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCT(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCHSP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLL(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCLN(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFCS(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVI(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVL(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVN(KLON,KSGST+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFEVV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFTR(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFLWSP(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFONTE(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALBH(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGEL(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFGELS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSODS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRSOPT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRTHDS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0H(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEIJ(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVEG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSATS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRUISL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRUISP(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRUISS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTCLS(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQCLS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRHCLS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCT(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCM(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCL(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCLPH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLPH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUGST(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVGST(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDPTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDERNSHF(KLON)
CHARACTER(LEN=9) ,INTENT(IN) :: CDLOCK
END SUBROUTINE HL_APLPAR
END INTERFACE
